diff --git a/Apps/kvkbd/doc/en/config-menu.png b/Apps/kvkbd/doc/en/config-menu.png
index 727f760..8be6218 100644
Binary files a/Apps/kvkbd/doc/en/config-menu.png and b/Apps/kvkbd/doc/en/config-menu.png differ
diff --git a/Apps/kvkbd/doc/en/kvkbd.png b/Apps/kvkbd/doc/en/kvkbd.png
index b258267..aeceb1a 100644
Binary files a/Apps/kvkbd/doc/en/kvkbd.png and b/Apps/kvkbd/doc/en/kvkbd.png differ
diff --git a/Apps/kvkbd/doc/en/kvkbds.png b/Apps/kvkbd/doc/en/kvkbds.png
index e723416..1b2ddee 100644
Binary files a/Apps/kvkbd/doc/en/kvkbds.png and b/Apps/kvkbd/doc/en/kvkbds.png differ
diff --git a/Apps/kvkbd/doc/en/num-pad.png b/Apps/kvkbd/doc/en/num-pad.png
index 79cd274..2224055 100644
Binary files a/Apps/kvkbd/doc/en/num-pad.png and b/Apps/kvkbd/doc/en/num-pad.png differ
diff --git a/Apps/kvkbd/dock.png b/Apps/kvkbd/dock.png
new file mode 100644
index 0000000..af60dff
Binary files /dev/null and b/Apps/kvkbd/dock.png differ
diff --git a/Apps/kvkbd/kvkbd.SlackBuild b/Apps/kvkbd/kvkbd.SlackBuild
index e100426..551b8c9 100755
--- a/Apps/kvkbd/kvkbd.SlackBuild
+++ b/Apps/kvkbd/kvkbd.SlackBuild
@@ -35,6 +35,7 @@ untar_fn
## copy the helpfile docs to the build tree
cp -a $SRCDIR/doc .
+cp $SRCDIR/dock.png src/
## not in this version - introduced for the later qt4 build
sed -i '/CSS Color themes/d' README
## remove meinproc check - there are a number of validity errors relating to the use of etc.,
@@ -133,7 +134,7 @@ EOF
## dead_* characters don't display on keys, so add single click printable character equivalents
## to display on keys - the printed character remains as dead_
## Only need for levels 0 and 1 - higher levels don't show on keys
-## NoSymbol shows as an outline square on keys - replace with space=blank
+## NoSymbol shows as an outline square [.notdef] on keys - replace with space=blank
## Re: MainWidget.cpp "* therefore keysymtab[] must remain SORTED by keysym value."
patch -N -p0 << EOF || true
--- src/MainWidget.cpp
@@ -214,6 +215,23 @@ patch -N -p0 << EOF || true
@@ -149 +149 @@
- tab->resize ( 47,30 );
+ tab->resize ( 48,30 );
+## reduce size of Dock image
+@@ -929 +929 @@
+- resize ( 96,47 );
++ resize ( 64,31 );
+EOF
+
+## set keyboard background colour
+## User option, set in ./BUILD-TDE.sh
+BGCOLR=$(cat $TMPVARS/kvkbd-bg)
+patch -N -p0 << EOF || true
+--- src/MainWidget.cpp
++++ src/MainWidget.cpp
+@@ -397,2 +397,2 @@
+- setPaletteBackgroundColor ( TQt::black );
+ setFocusPolicy ( TQ_NoFocus );
++ setPaletteBackgroundColor ( TQColor($BGCOLR) );
+ setFocusPolicy ( TQ_NoFocus );
EOF
## use icons for quit and num pad show/hide buttons
diff --git a/BUILD-TDE.sh b/BUILD-TDE.sh
index 5c5a647..bedfaaa 100755
--- a/BUILD-TDE.sh
+++ b/BUILD-TDE.sh
@@ -550,6 +550,7 @@ sed -i 's|Apps/koffice|Misc/libpng &|' $TMPVARS/TDEbuilds
## only run this if kvkbd has been selected
rm -f $TMPVARS/WinLock
+rm -f $TMPVARS/kvkbd-bg
[[ $(grep -o kvkbd $TMPVARS/TDEbuilds) ]] && {
dialog --cr-wrap --no-shadow --yes-label "No Lock" --no-label "Lock" --colors --defaultno --title " Kvkbd Win Keys " --yesno \
"
@@ -557,11 +558,26 @@ The \Zb\Z6LWin\Zn and \Zb\Z6RWin\Zn keys on the \Zb\Z6Kvkbd\Zn keyboard are set
If they're to be used as control keys to map a number of characters or functions, then they need to be set to \Zr\Z4\ZbLock\Zn while the next key is clicked - this is to simulate holding down the key on a physical keyboard.
-If they will only be used as alternately mapped keys using xmodmap, then they will need to be set to generate a keycode on a single click - \Z1N\Zb\Z0o Lock\Zn.
+If they will only be used as alternatively mapped keys using xmodmap, then they will need to be set to generate a keycode on a single click - \Z1N\Zb\Z0o Lock\Zn.
" \
17 75
[[ $? == 0 ]] && 2> $TMPVARS/WinLock
[[ $? == 1 ]] && echo 1 > $TMPVARS/WinLock
+
+dialog --cr-wrap --no-collapse --nocancel --no-shadow --colors --title " Kvkbd background colour " --inputbox \
+"
+The default background colour for the keyboard is black.
+
+To change it, enter the colour you want in any of these forms, including the double quotes where shown.
+These examples are all the same colour:
+
+Named: \Zb\Z6\"antiquewhite3\"\Zn
+Hex: \Zb\Z6\"#cdc0b0\"\Zn
+RGB: \Zb\Z6 205,192,176\Zn
+
+" \
+19 75 "\"black\"" \
+2> $TMPVARS/kvkbd-bg
}